require_relative 'lib/text_common/version'

Gem::Specification.new do |spec|
  spec.name          = "text_common"
  spec.version       = TextCommon::VERSION
  spec.authors       = ["Scott Johnson"]
  spec.email         = ["fuzzygroup@gmail.com"]

  spec.summary       = %q{This is a small class library of useful text processing routines.}
  spec.description   = %q{This is a small class library of useful text processing routines I tend to use on my personal projects.}
  spec.homepage      = "https://github.com/fuzzygroup/text_common"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/fuzzygroup/text_common"
  spec.metadata["changelog_uri"] = "https://github.com/fuzzygroup/text_common/CHANGELOG.md"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
